<wo:Wrapper selectedTabId = "MiseEnPaiement" selectedItemId = "$selectedItemId">
  <div id = "contenu">
    <fieldset>     
      <div class = "container">
        <wo:form class = "left">
          <wo:condition condition = "$session.pagePrecedente"> <wo:CktlSubmitButton type = "previous" action = "$pagePrecedente" text = "Retour" /> </wo:condition>
        </wo:form>
        <h2><wo:string value = "$session.localizer.DetailMEP.titre" /></h2>
        <wo:form class = "form-horizontal left">  
          <wo:AjaxUpdateContainer id = "$detailPaiementUpdateContainerId">        
          <div class = "row-fluid">       
            <div class = "left">
              <h3><wo:string value = "$session.localizer.DetailMEP.informations.titre" /></h3>
              <div class = "row-fluid">
                <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.anneeUniversitaire" />&nbsp;:</label>
                <div class = "controls">
                  <p><wo:string value = "$anneeUniversitaire" /></p>
                </div>
              </div>
              <div class = "row-fluid">
                <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.numeroPaiement" />&nbsp;:</label>
                <div class = "controls">
                  <p><wo:string formatter = "$numeroACinqChiffres" value = "$editedObject.numeroPaiement" /></p>
                </div>
              </div>
              <div class = "row-fluid">
                <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.libellePaiement" />&nbsp;:</label>
                <div class = "controls">
                  <wo:textfield value = "$editedObject.libelle" size = "50" style = "border-color:#BBD2E1; background-color: #F5FFFA" />
                  <wo:CktlSubmitButton type = "validate" text = "$session.localizer.application.boutonEnregistrer" action = "$enregistrerLibellePaiement" />
                </div>
              </div>         
              <div class = "row-fluid">
                <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.datePaiement" />&nbsp;:</label>
                <div class = "controls">
                  <p><wo:string value = "$editedObject.datePaiement" dateformat = "dd/MM/yyyy" /></p>
                </div>
              </div>
              <div class = "row-fluid">
                <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.dateBordereau" />&nbsp;:</label>
                <div class = "controls">
                  <p><wo:string value = "$editedObject.dateBordereau" dateformat = "dd/MM/yyyy" /></p>
                </div>
              </div>
              <div class = "row-fluid">
                <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.dateArrete" />&nbsp;:</label>
                <div class = "controls">
                  <p><wo:string value = "$editedObject.dateArrete" dateformat = "dd/MM/yyyy" /></p>
                </div>
              </div>
              <div class = "row-fluid">
                <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.dateFlux" />&nbsp;:</label>
                <div class = "controls">
                  <p><wo:string value = "$editedObject.dateFlux" dateformat = "dd/MM/yyyy" /></p>
                </div>
              </div>
              <wo:if condition = "$isPaiementEffectue" negate = "true">
              <div class = "row-fluid">
              	  <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.moisPaiement"/>&nbsp;:</label>
              <div class = "controls">
    			  <wo:AjaxObserveField fullSubmit = "true">
                  		<p> <wo:radioButton name = "RbMoisPaiement" value = "$moisPaiementEnCours" selection = "$moisPaiement"/>&nbsp;<wo:string value = "$session.localizer.DetailMEP.informations.moisEnCours"/>&nbsp;&nbsp;
                   			<wo:radioButton name = "RbMoisPaiement" value = "$moisPaiementSuivant" selection = "$moisPaiement"/>&nbsp;&nbsp;<wo:string value = "$session.localizer.DetailMEP.informations.moisSuivant"/></p>
				  </wo:AjaxObserveField>    
              </div>
              </div>
              <div class = "row-fluid">
              	  <label class = "control-label"><wo:string value = "$session.localizer.DetailMEP.informations.solidarite"/>&nbsp;:</label>
              <div class = "controls">
    			  		<p> <wo:radioButton name = "RBCotisationSolidarite" value = "$CotisationSolidariteOui" selection = "$cotisationSolidarite"/>&nbsp;<wo:string value = "$session.localizer.Oui.Libelle"/>&nbsp;&nbsp;
                   			<wo:radioButton name = "RBCotisationSolidarite" value = "$CotisationSolidariteNon" selection = "$cotisationSolidarite"/>&nbsp;&nbsp;<wo:string value = "$session.localizer.Non.Libelle"/>
                   		</p>
               
              </div>
              </div>  
              </wo:if>
              <wo:if condition = "$isPaiementEffectue">
                <br />
                <div>
                  <label><wo:string value = "$session.localizer.DetailMEP.controle.fluxGenere.message" /></label>
                  <wo:if condition = "$isNonPaiementPapaye">               
              		<wo:hyperlink action = "$genererLienFluxPaiement" title = "$session.localizer.DetailMEP.informations.telechargefluxGenere" target = "_blank" >
              		<b><wo:string value = "$session.localizer.DetailMEP.informations.telechargefluxGenere" /></b>
              		</wo:hyperlink>
                  </wo:if>		
                </div>
              </wo:if>
            </div>
          </div>
          <br />
          <center>
            <div>
              <wo:CktlSubmitButton type = "delete" action = "$annulerPaiement" text = "$session.localizer.DetailMEP.boutons.annulerMEP" disabled = "$isPaiementEffectue" onClick = "$confirmerAnnulerPaiement" />
	          <wo:CktlReportingExecButton updateContainerID = "$detailPaiementUpdateContainerId" action = "$genererBordereau" text = "$libelleImprimerBordereau" reporterProgress = "$generateurPDFCtrl.listener" reporter = "$generateurPDFCtrl.reporter" reportFilename = "$generateurPDFCtrl.reportFilename" resultMimeType = "application/pdf"/>
              <wo:CktlReportingExecButton action = "$genererJustificatif" text = "$session.localizer.DetailMEP.boutons.imprimerJustificatif" reporterProgress = "$generateurPDFCtrl.listener" reporter = "$generateurPDFCtrl.reporter" reportFilename = "$generateurPDFCtrl.reportFilename" resultMimeType = "application/pdf" disabled="$isBordereauNonGenere" />              
              <wo:CktlSubmitButton type = "download_file" action = "$genererArrete" text = "$session.localizer.DetailMEP.boutons.genererArrete" disabled = "disabled" />
              <wo:CktlSubmitButton type = "validate" action = "$genererFluxPaiement" text = "$session.localizer.DetailMEP.boutons.genererFluxPaiement" onClick = "$confirmerGenerationFluxPaiement" disabled="$isPaiementEffectue" />
            </div>
          </center>
          </wo:AjaxUpdateContainer>
        </wo:form>
        <hr />
        <center>
          <h3><wo:string value = "$session.localizer.MEP.LibelleEnseignants" /> </h3>
        </center>
        <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroupMEP" useFixedHeader = "false" item = "$currentItemMEP">
          <wo:CktlAjaxSimpleTableViewHeader>
            <wo:CktlAjaxSimpleTableViewColumn label = "Nom" width = "30%" />
            <wo:CktlAjaxSimpleTableViewColumn label = "Prénom" width = "25%" />
            <wo:CktlAjaxSimpleTableViewColumn label = "Composante" width = "15%" />
            <wo:if condition = "$isPaiementEffectue"> <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.DetailMEP.informations.heuresHETDPayees" width = "20%" /> </wo:if>
            <wo:else> <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.DetailMEP.informations.heuresHETDAPayer" width = "20%" /> </wo:else>
          </wo:CktlAjaxSimpleTableViewHeader>
          <wo:CktlAjaxSimpleTableViewBody>
            <td class = "left"><wo:string value = "$currentItemMEP.service.enseignant.toIndividu.nomAffichage.toUpperCase" /></td>
            <td class = "left"><wo:string value = "$currentItemMEP.service.enseignant.toIndividu.prenomAffichage" /></td>
            <td class = "left"><wo:string value = "$currentItemMEP.structure.lcStructure" /></td>
            <wo:if condition = "$isPaiementEffectue">
              <td class = "right"><wo:CktlNumber value = "$currentItemMEP.heuresPayeesHetd" numberformat = "$app3DecimalesNumberFormat"/></td>
            </wo:if>
            <wo:else>
              <td class = "right"><wo:CktlNumber value = "$currentItemMEP.heuresAPayerHetd" numberformat = "$app3DecimalesNumberFormat"/></td>
            </wo:else>
          </wo:CktlAjaxSimpleTableViewBody>
        </wo:CktlAjaxSimpleTableView>
      </div>   
    </fieldset>    
  </div>
</wo:Wrapper>
